package client_server;
import java.net.*;

/**
 * Objects that implement WebRequestProcessor can be plugged into the SimpleWebServer.
 *
 * @authors Cathy Zura and Carol Wolf
 */
public abstract class WebRequestProcessor
{
	/**
	 * Process a web request given a request and a response.
	 *
	 * @param request Request prepares the URL parameters for the application.
	 * @param resonse Response provides a PrintWriter object for the application.
	 */
	public abstract void process (Request request, Response response);
}
